$AdfDhtmlInputNumberSliderPeer$$.$_SUB_ID_MAP$ = {thumb:"thumb", increase:"increase", decrease:"decrease", bar:"bar"};
$AdfDhtmlInputNumberSliderPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlInputNumberSliderPeer$$$$$GetSubIdDomElement$$($subElementId$$29$$) {
  var $component$$2428$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$29$$, $AdfDhtmlInputNumberSliderPeer$$.$_SUB_ID_MAP$, $component$$2428$$, this, $AdfDhtmlInputNumberSliderPeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSliderPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlInputNumberSliderPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlInputNumberSliderPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlInputNumberSliderPeer$$$$$GetBestMatchSubId$$($domElement$$650$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$650$$, this, $AdfDhtmlInputNumberSliderPeer$$.$_SUB_ID_MAP$, $AdfDhtmlInputNumberSliderPeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSliderPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlInputNumberSliderPeer$$.prototype.$GetBestMatchSubId$});
